﻿@model string
@{var fieldName = ViewData.TemplateInfo.HtmlFieldPrefix;}

@Html.HiddenFor(m => m)
@Html.ValidationMessageFor(m => m)

@{ 
    var values = ViewData.ModelMetadata.AdditionalValues;
}
<script>
    function success(e) {
        var imagePath = e.response.Image;
        $("\\#@fieldName").val(imagePath).trigger("change");
    }
    function CompleteUploadImage(e) {
        $("\\#holderImage img").remove();
        $("\\#holderImage span").remove();
        $("\\#holderImage").append("<span style='font-size:11px;display: block;margin-top: 4px;color: \\#2196F3;'>مشاهده تصویر پس از بروزرسانی امکان پذیر می باشد .</span>")
    }

</script>

<div class="k-rtl">
    @(Html.Kendo().Upload()
    .Name(values["action"].ToString())
    .Multiple(false)
     .Messages(m => m.Select("... انتخاب فایل").HeaderStatusUploaded("انجام شد"))
    .Async(a => a
        .Save(values["action"].ToString(), "Upload")
        .AutoUpload(true)
    )
    .Events(e => e.Success("success"))
    .Events(e => e.Complete("CompleteUploadImage"))

    )
</div>

@{
    if (Model != null)
    {
        <p style="margin:0;" id="holderImage"><a onclick="deleteImage(this,'Image')" class="waves-effect waves-light btn" style="background-color:\\#F44336 !important; margin-top:7px;"><i class="material-icons right-align" style="vertical-align:middle; margin-left:4px;">delete</i>حذف تصویر</a></p>
        <hr />
    }
}
